package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.BisHazPatRec;

/**
 * 危险源巡视记录 服务层
 */
public interface IBisHazPatRecService {

    /**
     * 查询危险源巡视记录信息
     * @param guid 查询条件
     * @return 危险源巡视记录信息
     */
    BisHazPatRec selectBisHazPatRecByGuid(String guid);

    /**
     * 查询危险源巡视记录列表
     * @param bisHazPatRec 危险源巡视记录查询条件
     * @return 危险源巡视记录集合
     */
    List<BisHazPatRec> selectBisHazPatRecList(BisHazPatRec bisHazPatRec);

    /**
     * 新增危险源巡视记录
     * @param bisHazPatRec 危险源巡视记录信息
     * @return 影响行数
     */
    int insertBisHazPatRec(BisHazPatRec bisHazPatRec);

    /**
     * 修改危险源巡视记录
     * @param bisHazPatRec 危险源巡视记录信息
     * @return 影响行数
     */
    int updateBisHazPatRec(BisHazPatRec bisHazPatRec);

    /**
     * 删除危险源巡视记录
     * @param guid 危险源巡视记录主键
     * @return 影响行数
     */
    int deleteBisHazPatRecByGuid(String guid);

    /**
     * 批量删除危险源巡视记录
     * @param guids 危险源巡视记录主键数组
     * @return 影响行数
     */
    int deleteBisHazPatRecByGuids(String[] guids);
}
